Retrieve a wallet balance

This API is a request to retrieve the coin or token balance of all addresses within the specified wallet (hot or warm MPC wallet).

To retrieve balance of a single address in a deposit wallet, use the Retrieve an address balance API.

API Use-Cases

  • Retrieve Native Coin Balance: Use the following request body to retrieve the native coin balance of a wallet.
{
    "wallet":{
        "coin": "eth",
        "walletId":12345,
        "allToken":false
    }
}
  • Retrieve native coin and token balance: Use the following request body to retrieve native coin balance of a wallet.
{
  "wallet": {
    "coin": "eth",
    "allToken": true,
    "tokenOptions": {
      "tokenName": "usdc",
      "tokenAddress": "0xdc31Ee1784292379Fbb2964b3B9C4124D8F89C60"
    },
    "walletId": 12345
  }
}

📘

Note

While all liminal supported chains support firewall for Mobile MPC Wallets, please refer to the latest supported chains for hot V2 wallets supporting firewall.

Body Params
wallet
object
required
Headers
string
enum
Defaults to application/json; charset=utf-8

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; charset=utf-8
application/json